Commit Node

POST
/v1/nodes/{node_id}/commit

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Path Parameters

node_id*Node Id

Request Body

application/json
  1. body
base_committed_revision*Base Committed Revision
stage_session_id*Stage Session Id
staged_payload*

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'https://flywheel.paradigma.inc/api/v1/nodes/string/commit' \  -H 'Content-Type: application/json' \  -d '{  "base_committed_revision": 0,  "stage_session_id": "string",  "staged_payload": {    "content": "string",    "repo_context": {      "branch_name": "string",      "external_transcript_ref": "string",      "head_commit_sha": "string",      "origin_host": "string",      "repo_url": "string",      "updated_by": "string"    },    "summary": "string",    "title": "string"  }}'
Example Response
null